﻿using UnityEngine;
using System.Collections;

public class sphere_Behaviour : MonoBehaviour {
	
	//variables for shrinking
	public float hitByShip;
	public float hitByPellet;
	
	//temp variables needed for calculatin percantage of sphere scale and stuff
	float originalX;
	float originalY;
	float originalZ;
	
	// Use this for initialization
	void Start () {
		//we initialize original values because localscale will change with collisions,
		//so we need the original staci value of the scales for accurate computations
		originalX = transform.localScale.x;
		originalY = transform.localScale.y;
		originalZ = transform.localScale.z;
	}
	
	void OnCollisionEnter(Collision collisionInfo) {
		//if hit by enemy ship, destroy ship and shrink sphere 
		if(collisionInfo.gameObject.tag == "enemyShip")
		{
			//shrinking code
			transform.localScale -= new Vector3(originalX,originalY,originalZ) * hitByShip;
			
			Destroy(collisionInfo.gameObject);
			
			//play sound when hit. for now its just a dummy sound
			audio.Play();
		}
		//if hit by friendly fire, shrink and destroy pelet
		else if(collisionInfo.gameObject.tag == "pellet")
		{
			//shrinking code
			transform.localScale -= new Vector3(originalX,originalY,originalZ) * hitByPellet;
			
			Destroy(collisionInfo.gameObject);
			
			//play sound when hit. for now its just a dummy sound
			audio.Play();
		}
		
	}	
	
	
	// Update is called once per frame
	void Update () {
	
	}
}
